Иконка ресурса

Simple Anti Spawn Camp DD2 only 1.2

Нет прав для скачивания

Boeing 767

Where I am ?
Сообщения
485
Реакции
621
Пользователь Samoletik1337 разместил новый ресурс:

Simple Anti Spawn Camp DD2 only - Плагин запрещающий долго находится на респе т игрокам

Простой плагин, который обрисовывает цветной линией зону на которой запрещено находится террористам Посмотреть вложение 41783 и при долгом нахождении на респе наказывает игрока :) . Плагин только для карты de_dust2, не имеет значения версия карты css v34 или же v90.
Узнать больше об этом ресурсе...
 

Grey83

Ленивая и невнимательная жопа
Сообщения
3,784
Реакции
2,161
Немного оптимизировал плагин: теперь на картах отличных от de_dust2 плагин перестанет нагружать сервер ненужными таймерами и хуками событий
Ну и в таймере не будет 8 раз (не думаю, что игроки так быстро передвигаются, что за долю секунды могут переместиться дальше пары юнитов, да и то в падении ^_^) получать у каждого игрока его положение в пространстве.
 

Вложения

Сообщения
256
Реакции
19
В настройках стоит
// Действие при превышении времени на спавне игрока: 0 - шлепнуть, 1 убить
// -
// Default: "1"
sm_asc_action "1"

И всё равно "шлёпает", а не убивает.
--- Добавлено позже ---
Немного оптимизировал плагин: теперь на картах отличных от de_dust2 плагин перестанет нагружать сервер ненужными таймерами и хуками событий
Ну и в таймере не будет 8 раз (не думаю, что игроки так быстро передвигаются, что за долю секунды могут переместиться дальше пары юнитов, да и то в падении ^_^) получать у каждого игрока его положение в пространстве.
Скриншот 12-05-2019 160227.png
 
Последнее редактирование:
Сообщения
961
Реакции
185
Это бы чудо, да еще и бы под cs go) Мои нервы были бы в порядке)
 

Grey83

Ленивая и невнимательная жопа
Сообщения
3,784
Реакции
2,161
@Watching, после строки 169 добавь строку static bool inzone; (когда правил код нечаянно удалил, походу)
Или перекачай исходник.
--- Добавлено позже ---
@spazm, для ксго нужно только найти новые координаты для точек
 

Boeing 767

Where I am ?
Сообщения
485
Реакции
621
Пользователь Samoletik1337 обновил ресурс Simple Anti Spawn Camp DD2 only новой записью:

Оптимизация, фикс возможных багов,добавлена поддержка карты дд2 с ксго

При обновлении плагина удалить конфиг, т.к добавил новый квар на размер линии.
Узнать больше об этом обновлении...
 

sniper45301

<Живу и играю>
Сообщения
136
Реакции
24
Не работает последняя версия на css v34 sm 1.9
ни линии, вообще пусто.
хотя сам плагин работает(по консоли)
первая версия работала норм!
 

sniper45301

<Живу и играю>
Сообщения
136
Реакции
24

Boeing 767

Where I am ?
Сообщения
485
Реакции
621

sniper45301

<Живу и играю>
Сообщения
136
Реакции
24
Перечитай установку плагина, Simple Anti Spawn Camp DD2 only и удали конфиг от плагина т.к после обновы это необходимо.
а всё):dance3:
забыл удалить старый конфиг :roll:
но..если сделать рестарт сервера то потом плаг как бы опять не работает и приходится через sm plugins reload его рестартить
поправь плиз)
в старой версии было норм сразу.
 
Последнее редактирование:
Сообщения
18
Реакции
2
скинь кто ни буд для css v34 соурсмод 1.6.3 зарание блогодарю
 
Сообщения
70
Реакции
5
addons\sourcemod\scripting\include\sdktools_tempents.inc(197) : error 088: cannot return a value from a void function ошибка при компиляции.. sm 1.9
 
Сообщения
165
Реакции
16
Ботов игнорирует? Если нет, то можешь добавить?
 
Сообщения
18
Реакции
2
скинь кто ни буд для css v34 соурсмод 1.6.3 зарание блогодарю
 
Сообщения
119
Реакции
8
Плагин огонь. С удовольствием буду ждать другие карты, если можно.
 
Сообщения
256
Реакции
19
сделать поддержку других карт было бы круто. Спасибо за плагин!
 

Paranoiiik

хачю клиентмод
Сообщения
1,113
Реакции
662
скинь кто ни буд для css v34 соурсмод 1.6.3 зарание блогодарю
Хватит сидеть на 1.6.3. Давно пора обновляться до 1.9+
--- Добавлено позже ---
addons\sourcemod\scripting\include\sdktools_tempents.inc(197) : error 088: cannot return a value from a void function ошибка при компиляции.. sm 1.9
А у меня на двух версиях 1.9 отлично компилится
 
Сообщения
225
Реакции
14
Хватит сидеть на 1.6.3. Давно пора обновляться до 1.9+
--- Добавлено позже ---

А у меня на двух версиях 1.9 отлично компилится
Это его дело на какой версии сидеть sm, я допустим с 2015 начал с sm 1.6 - так и держусь на нем. Потому что переписывать каждый плагин это такое себе.
 
Сверху